head	1.1;
access;
symbols
	RELEASE_8_3_0:1.1
	RELEASE_9_0_0:1.1
	RELEASE_7_4_0:1.1
	RELEASE_8_2_0:1.1
	RELEASE_6_EOL:1.1
	RELEASE_8_1_0:1.1
	RELEASE_7_3_0:1.1
	RELEASE_8_0_0:1.1
	RELEASE_7_2_0:1.1
	RELEASE_7_1_0:1.1
	RELEASE_6_4_0:1.1;
locks; strict;
comment	@# @;


1.1
date	2008.06.13.06.12.59;	author edwin;	state Exp;
branches;
next	;


desc
@@


1.1
log
@[NEW PORTS] www/webobjects(+) Apple WebObjects ports bundle

This is a bundle of several ports covering many typical requirements
for building an Apple WebObjects deployment environment. Each port
is or has a dependancy with some other port in the bundle, and have
therefore been lodged collectively.

	www/webobjects

	WebObjects runtime is the deployment environment for Apple WebObjects
	Applications.

	WebObjects is a suite of tools and object-oriented frameworks that enable
	you to create and deploy web applications and web services using Java.

	WWW: http://www.apple.com/webobjects

PR:		ports/117299
Submitted by:	Quinton Dolan <q@@onthenet.com.au>
@
text
@--- System/Library/WebObjects/JavaApplications/wotaskd.woa/Contents/Resources/SpawnOfWotaskd.sh.orig	Thu Jan 11 15:46:21 2001
+++ System/Library/WebObjects/JavaApplications/wotaskd.woa/Contents/Resources/SpawnOfWotaskd.sh	Mon Apr 16 00:18:50 2007
@@@@ -1,3 +1,10 @@@@
 #!/bin/sh
 
-$@@ 1>/dev/null 2>&1 & 
+PORT=`echo $* | sed -e 's|^.*-WOPort \([0-9]*\).*|\1|'`
+APP=`basename $1`
+touch /var/log/webobjects/${APP}-${PORT}.log 2>&1
+if [ $? = 0 ]; then
+  $@@ >>/var/log/webobjects/${APP}-${PORT}.log 2>&1 & 
+else
+  $@@ 1>/dev/null 2>&1 &
+fi
@
